--override to prevent crashing if a table is used instead of a name for the weapons
function HuskTeamAIMovement:add_weapons()
	local base_ext = self._ext_base
	local inv_ext = self._ext_inventory
	local weapon = base_ext:default_weapon_name("primary")

	if type(weapon) == "table" then
		weapon = weapon[1][1]
	end

	if weapon then
		inv_ext:add_unit_by_factory_name(weapon, false, false, nil, "")
	end

	local sec_weapon = base_ext:default_weapon_name("secondary")

	if type(sec_weapon) == "table" then
		sec_weapon = sec_weapon[1][1]
	end

	if sec_weapon then
		inv_ext:add_unit_by_factory_name(sec_weapon, false, false, nil, "")
	end
end
